#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int x, y, a, b;
    scanf("%lld %lld %lld %lld", &a, &b, &x, &y);
    if(x==a && y<b)
        printf("drugi");
    else
        if(y==b && x<a)
            printf("prvi");
        else
            if(x==a && y==b)
                printf("nijedan");
            else
                printf("?");
}